Package org.tukaani.xz

## Class XZFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.tukaani.xz.XZIOException
        - - org.tukaani.xz.XZFormatException

All Implemented Interfaces:
  `Serializable`

    public class XZFormatException
    extends XZIOException

Thrown when the input data is not in the XZ format.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`XZFormatException()` Creates a new exception with the default error detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### XZFormatException

    public XZFormatException()

Creates a new exception with the default error detail message.